> This page is for 플랫폼, version V4 실험적.
> For other versions, use one of these documentation indexes:
> - V4 (default): https://next.developer.frame.io/platform/v4/llms.txt
> - V4 실험적: https://next.developer.frame.io/platform/v4-experimental/llms.txt
> - 레거시: https://next.developer.frame.io/platform/v2/llms.txt

> For clean Markdown of any page, append .md to the page URL.
> For a complete documentation index, see https://next.developer.frame.io/llms.txt.
> For AI client integration (Claude Code, Cursor, etc.), connect to the MCP server at https://next.developer.frame.io/_mcp/server.

# 사용자 지정 작업 세부 정보 표시

GET https://api.frame.io/v4/accounts/{account_id}/actions/{action_id}

Show custom action details.

This endpoint has been added to `Current Version` of the API.

Please see [https://next.developer.frame.io/platform/v4/api-reference/custom-actions/actions-show](https://next.developer.frame.io/platform/v4/api-reference/custom-actions/actions-show).
Rate Limits: 100 calls per 1.00 minute(s) per account\_user

Reference: https://next.developer.frame.io/platform/api-reference/custom-actions/actions-show

## Authentication

- `Authorization` header (bearer token, required) — Bearer authentication of the form `Bearer <token>`, where token is your auth token.

## Request

### Path parameters

- `account_id` (string, required)
- `action_id` (string, required)

### Query parameters

- `include` (enum, optional)
  - Allowed values: `creator`

### Headers

- `api-version` (enum, required)
  - Allowed values: `experimental`

## Response

### 200

OK

- `data` (ActionWithIncludes, required)

## Errors

### 400 Bad Request Error

Bad request

- `errors` (list of BadRequestErrorsItems, required)

### 401 Unauthorized Error

Unauthorized

- `errors` (list of UnauthorizedErrorsItems, required)

### 403 Forbidden Error

Forbidden

- `errors` (list of ForbiddenErrorsItems, required)

### 404 Not Found Error

Not found

- `errors` (list of NotFoundErrorsItems, required)

### 409 Conflict Error

Conflict

- `errors` (list of ConflictErrorsItems, required)

### 422 Unprocessable Entity Error

Unprocessable content

- `errors` (list of UnprocessableContentErrorsItems, required)

### 429 Too Many Requests Error

Too many requests

- `errors` (list of TooManyRequestsErrorsItems, required)

## Types

### ActionWithIncludes

- `active` (boolean, required) — Active Status
- `created_at` (string, required)
- `creator_id` (string, required) — Creator ID
- `deleted_at` (string, required, nullable)
- `description` (string, required) — Action Description
- `event` (string, required) — Event Name
- `id` (string, required) — Action ID
- `name` (string, required) — Action Name
- `updated_at` (string, required)
- `url` (string, required) — Action URL
- `workspace_id` (string, required) — Workspace ID
- `multi_asset` (boolean, optional) — Manages action trigger on multiple assets
- `timeout` (integer, optional) — Timeout for the action requests in seconds
- `creator` (User, optional) — User details

### BadRequestErrorsItems

- `detail` (string, required)
- `source` (BadRequestErrorsItemsSource, optional)
- `title` (string, optional)

### UnauthorizedErrorsItems

- `detail` (string, required)
- `source` (UnauthorizedErrorsItemsSource, optional)
- `title` (string, optional)

### ForbiddenErrorsItems

- `detail` (string, required)
- `source` (ForbiddenErrorsItemsSource, optional)
- `title` (string, optional)

### NotFoundErrorsItems

- `detail` (string, required)
- `source` (NotFoundErrorsItemsSource, optional)
- `title` (string, optional)

### ConflictErrorsItems

- `detail` (string, required)
- `source` (ConflictErrorsItemsSource, optional)
- `title` (string, optional)

### UnprocessableContentErrorsItems

- `detail` (string, required)
- `source` (UnprocessableContentErrorsItemsSource, optional)
- `title` (string, optional)

### TooManyRequestsErrorsItems

- `detail` (string, required)
- `source` (TooManyRequestsErrorsItemsSource, optional)
- `title` (string, optional)

### User

User details

- `active` (boolean, required, nullable) — User active status
- `avatar_url` (string, required, nullable) — User avatar image url
- `email` (string, required) — User email
- `id` (string, required, nullable) — User ID - can be null for invited users with no Frame account
- `name` (string, required, nullable) — User name
- `adobe_user_id` (string, optional, nullable) — Adobe user ID

### BadRequestErrorsItemsSource

- `pointer` (string, optional)

### UnauthorizedErrorsItemsSource

- `pointer` (string, optional)

### ForbiddenErrorsItemsSource

- `pointer` (string, optional)

### NotFoundErrorsItemsSource

- `pointer` (string, optional)

### ConflictErrorsItemsSource

- `pointer` (string, optional)

### UnprocessableContentErrorsItemsSource

- `pointer` (string, optional)

### TooManyRequestsErrorsItemsSource

- `pointer` (string, optional)

## Examples

**Response**

```json
{
  "data": {
    "active": true,
    "created_at": "2024-08-23T14:39:29.125812Z",
    "creator_id": "aa1bd871-96d0-44cd-b3e1-3e66518f3355",
    "deleted_at": null,
    "description": "customizing our workflow",
    "event": "my.event",
    "id": "77311a83-d884-4fa3-877d-847f282870da",
    "name": "First Custom Action",
    "updated_at": "2024-08-23T14:39:29.125812Z",
    "url": "https://example.com/custom-action",
    "workspace_id": "a13c7b26-5629-4a27-928e-36d70c5fe950",
    "multi_asset": true,
    "timeout": 7,
    "creator": {
      "active": true,
      "avatar_url": "https://assets.frame.io/uploads/cd58cb8e-24b3-4448-8d0f-9532fcd04d11/original.png?response-content-disposition=attachment%3B+filename%3D%22foo.png&Expires=1729857600&Signature=L09h0pi82dCrMYjr9lMHBragByWYh1&Key-Pair-Id=KKI497NESTHMN",
      "email": "user_email@example.com",
      "id": "7cf3b0de-bf3e-41ab-9a14-67ed4cc226a9",
      "name": "Jon Doe",
      "adobe_user_id": "196C1A5666BF4EB00A49411B@176719f5667c82b4494214.e"
    }
  }
}
```

**SDK Code**

```python
import requests

url = "https://api.frame.io/v4/accounts/81cb44a3-5c0c-4c2a-aca7-843492bf76fd/actions/c1512e49-7e83-4a68-b4d0-72f20f9c3ead"

headers = {
    "api-version": "experimental",
    "Authorization": "Bearer <token>"
}

response = requests.get(url, headers=headers)

print(response.json())
```

```javascript
const url = 'https://api.frame.io/v4/accounts/81cb44a3-5c0c-4c2a-aca7-843492bf76fd/actions/c1512e49-7e83-4a68-b4d0-72f20f9c3ead';
const options = {
  method: 'GET',
  headers: {'api-version': 'experimental', Authorization: 'Bearer <token>'}
};

try {
  const response = await fetch(url, options);
  const data = await response.json();
  console.log(data);
} catch (error) {
  console.error(error);
}
```

```go
package main

import (
	"fmt"
	"net/http"
	"io"
)

func main() {

	url := "https://api.frame.io/v4/accounts/81cb44a3-5c0c-4c2a-aca7-843492bf76fd/actions/c1512e49-7e83-4a68-b4d0-72f20f9c3ead"

	req, _ := http.NewRequest("GET", url, nil)

	req.Header.Add("api-version", "experimental")
	req.Header.Add("Authorization", "Bearer <token>")

	res, _ := http.DefaultClient.Do(req)

	defer res.Body.Close()
	body, _ := io.ReadAll(res.Body)

	fmt.Println(res)
	fmt.Println(string(body))

}
```

```ruby
require 'uri'
require 'net/http'

url = URI("https://api.frame.io/v4/accounts/81cb44a3-5c0c-4c2a-aca7-843492bf76fd/actions/c1512e49-7e83-4a68-b4d0-72f20f9c3ead")

http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true

request = Net::HTTP::Get.new(url)
request["api-version"] = 'experimental'
request["Authorization"] = 'Bearer <token>'

response = http.request(request)
puts response.read_body
```

```java
import com.mashape.unirest.http.HttpResponse;
import com.mashape.unirest.http.Unirest;

HttpResponse<String> response = Unirest.get("https://api.frame.io/v4/accounts/81cb44a3-5c0c-4c2a-aca7-843492bf76fd/actions/c1512e49-7e83-4a68-b4d0-72f20f9c3ead")
  .header("api-version", "experimental")
  .header("Authorization", "Bearer <token>")
  .asString();
```

```php
<?php
require_once('vendor/autoload.php');

$client = new \GuzzleHttp\Client();

$response = $client->request('GET', 'https://api.frame.io/v4/accounts/81cb44a3-5c0c-4c2a-aca7-843492bf76fd/actions/c1512e49-7e83-4a68-b4d0-72f20f9c3ead', [
  'headers' => [
    'Authorization' => 'Bearer <token>',
    'api-version' => 'experimental',
  ],
]);

echo $response->getBody();
```

```csharp
using RestSharp;

var client = new RestClient("https://api.frame.io/v4/accounts/81cb44a3-5c0c-4c2a-aca7-843492bf76fd/actions/c1512e49-7e83-4a68-b4d0-72f20f9c3ead");
var request = new RestRequest(Method.GET);
request.AddHeader("api-version", "experimental");
request.AddHeader("Authorization", "Bearer <token>");
IRestResponse response = client.Execute(request);
```

```swift
import Foundation

let headers = [
  "api-version": "experimental",
  "Authorization": "Bearer <token>"
]

let request = NSMutableURLRequest(url: NSURL(string: "https://api.frame.io/v4/accounts/81cb44a3-5c0c-4c2a-aca7-843492bf76fd/actions/c1512e49-7e83-4a68-b4d0-72f20f9c3ead")! as URL,
                                        cachePolicy: .useProtocolCachePolicy,
                                    timeoutInterval: 10.0)
request.httpMethod = "GET"
request.allHTTPHeaderFields = headers

let session = URLSession.shared
let dataTask = session.dataTask(with: request as URLRequest, completionHandler: { (data, response, error) -> Void in
  if (error != nil) {
    print(error as Any)
  } else {
    let httpResponse = response as? HTTPURLResponse
    print(httpResponse)
  }
})

dataTask.resume()
```